default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.AdvancedResteasyEndpointProducerBuilder.basic() |
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.bridgeEndpoint(boolean bridgeEndpoint) |
If the option is true, HttpProducer will ignore the Exchange.HTTP_URI
header, and use the endpoint's URI for request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.bridgeEndpoint(String bridgeEndpoint) |
If the option is true, HttpProducer will ignore the Exchange.HTTP_URI
header, and use the endpoint's URI for request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.clearExpiredCookies(boolean clearExpiredCookies) |
Whether to clear expired cookies before sending the HTTP request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.clearExpiredCookies(String clearExpiredCookies) |
Whether to clear expired cookies before sending the HTTP request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.connectionClose(boolean connectionClose) |
Specifies whether a Connection Close header must be added to HTTP
Request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.connectionClose(String connectionClose) |
Specifies whether a Connection Close header must be added to HTTP
Request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.copyHeaders(boolean copyHeaders) |
If this option is true then IN exchange headers will be copied to OUT
exchange headers according to copy strategy.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.copyHeaders(String copyHeaders) |
If this option is true then IN exchange headers will be copied to OUT
exchange headers according to copy strategy.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.customHostHeader(String customHostHeader) |
To use custom host header for producer.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.disableStreamCache(boolean disableStreamCache) |
Determines whether or not the raw input stream from Servlet is cached
or not (Camel will read the stream into a in memory/overflow to file,
Stream caching) cache.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.disableStreamCache(String disableStreamCache) |
Determines whether or not the raw input stream from Servlet is cached
or not (Camel will read the stream into a in memory/overflow to file,
Stream caching) cache.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.httpMethod(String httpMethod) |
Configure the HTTP method to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.httpMethod(org.apache.camel.http.common.HttpMethods httpMethod) |
Configure the HTTP method to use.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.ignoreResponseBody(boolean ignoreResponseBody) |
If this option is true, The http producer won't read response body
and cache the input stream.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.ignoreResponseBody(String ignoreResponseBody) |
If this option is true, The http producer won't read response body
and cache the input stream.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.password(String password) |
Sets the password.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.preserveHostHeader(boolean preserveHostHeader) |
If the option is true, HttpProducer will set the Host header to the
value contained in the current exchange Host header, useful in
reverse proxy applications where you want the Host header received by
the downstream server to reflect the URL called by the upstream
client, this allows applications which use the Host header to
generate accurate URL's for a proxied service.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.preserveHostHeader(String preserveHostHeader) |
If the option is true, HttpProducer will set the Host header to the
value contained in the current exchange Host header, useful in
reverse proxy applications where you want the Host header received by
the downstream server to reflect the URL called by the upstream
client, this allows applications which use the Host header to
generate accurate URL's for a proxied service.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.proxyClientClass(String proxyClientClass) |
Sets the resteasy proxyClientClass.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.resteasyMethod(String resteasyMethod) |
Sets the resteasy method to process the request.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.servletName(String servletName) |
Sets the servlet name.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.throwExceptionOnFailure(boolean throwExceptionOnFailure) |
Option to disable throwing the HttpOperationFailedException in case
of failed responses from the remote server.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.throwExceptionOnFailure(String throwExceptionOnFailure) |
Option to disable throwing the HttpOperationFailedException in case
of failed responses from the remote server.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder |
ResteasyEndpointBuilderFactory.ResteasyEndpointProducerBuilder.username(String username) |
Sets the username.
|